import java.io.*;
public class H2YOEx2
{
public static void main(String args[]) throws IOException
{
// e^x = 1+x/1!+x^2/2!+x^3/3!+x^4/4!+ ..
// not : e=2.7182818
BufferedReader cin=new BufferedReader(new InputStreamReader(System.in));
double faktoriyel=1;
double x;
double us=1;
double exponent=1;
System.out.print("Bir sayi giriniz:");
x=Double.parseDouble(cin.readLine());
for(double sayi=1;sayi<=200;sayi++)
{  faktoriyel*=sayi;
    us*=x;
    exponent+=us/faktoriyel;
}
System.out.println("exp("+x+") = "+exponent);
}}